/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_CORE_EXTERN_SKEL_H__
#define __TEST_CORE_EXTERN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_core_extern {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *handle_sys_enter;
	} progs;
	struct {
		struct bpf_link *handle_sys_enter;
	} links;
	struct test_core_extern__data {
		uint64_t kern_ver;
		uint64_t bpf_syscall;
		uint64_t tristate_val;
		uint64_t bool_val;
		uint64_t char_val;
		uint64_t ushort_val;
		uint64_t int_val;
		uint64_t ulong_val;
		char str_val[8];
		uint64_t missing_val;
	} *data;
	struct test_core_extern__kconfig {
		uint64_t CONFIG_MISSING;
		uint64_t CONFIG_ULONG;
		int CONFIG_INT;
		enum libbpf_tristate CONFIG_TRISTATE;
		int LINUX_KERNEL_VERSION;
		uint16_t CONFIG_USHORT;
		_Bool CONFIG_BOOL;
		_Bool CONFIG_BPF_SYSCALL;
		char CONFIG_CHAR;
		const char CONFIG_STR[8];
	} *kconfig;
};

static void
test_core_extern__destroy(struct test_core_extern *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_core_extern__create_skeleton(struct test_core_extern *obj);

static inline struct test_core_extern *
test_core_extern__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_core_extern *obj;
	int err;

	obj = (struct test_core_extern *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_core_extern__create_skeleton(obj);
	err = err ?: bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_core_extern__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_core_extern *
test_core_extern__open(void)
{
	return test_core_extern__open_opts(NULL);
}

static inline int
test_core_extern__load(struct test_core_extern *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_core_extern *
test_core_extern__open_and_load(void)
{
	struct test_core_extern *obj;
	int err;

	obj = test_core_extern__open();
	if (!obj)
		return NULL;
	err = test_core_extern__load(obj);
	if (err) {
		test_core_extern__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_core_extern__attach(struct test_core_extern *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_core_extern__detach(struct test_core_extern *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_core_extern__create_skeleton(struct test_core_extern *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_core_extern";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_cor.data";
	s->maps[0].map = &obj->maps.data;
	s->maps[0].mmaped = (void **)&obj->data;

	s->maps[1].name = "test_co.kconfig";
	s->maps[1].map = &obj->maps.kconfig;
	s->maps[1].mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handle_sys_enter";
	s->progs[0].prog = &obj->progs.handle_sys_enter;
	s->progs[0].link = &obj->links.handle_sys_enter;

	s->data_sz = 5504;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\x13\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x64\x61\x74\x61\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x65\
\x78\x74\x65\x72\x6e\x2e\x63\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\0\x43\x4f\x4e\x46\x49\x47\x5f\x42\x50\x46\x5f\x53\x59\x53\x43\
\x41\x4c\x4c\0\x62\x70\x66\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x43\x4f\x4e\x46\
\x49\x47\x5f\x54\x52\x49\x53\x54\x41\x54\x45\0\x74\x72\x69\x73\x74\x61\x74\x65\
\x5f\x76\x61\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x42\x4f\x4f\x4c\0\x62\x6f\x6f\
\x6c\x5f\x76\x61\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x55\x53\x48\x4f\x52\x54\0\
\x75\x73\x68\x6f\x72\x74\x5f\x76\x61\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x55\x4c\
\x4f\x4e\x47\0\x75\x6c\x6f\x6e\x67\x5f\x76\x61\x6c\0\x4c\x49\x4e\x55\x58\x5f\
\x4b\x45\x52\x4e\x45\x4c\x5f\x56\x45\x52\x53\x49\x4f\x4e\0\x6b\x65\x72\x6e\x5f\
\x76\x65\x72\0\x43\x4f\x4e\x46\x49\x47\x5f\x43\x48\x41\x52\0\x63\x68\x61\x72\
\x5f\x76\x61\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x49\x4e\x54\0\x69\x6e\x74\x5f\
\x76\x61\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x53\x54\x52\0\x73\x74\x72\x5f\x76\
\x61\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x4d\x49\x53\x53\x49\x4e\x47\0\x6d\x69\
\x73\x73\x69\x6e\x67\x5f\x76\x61\x6c\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x12\0\x03\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\x54\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x67\0\0\0\x11\0\x04\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x73\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x83\0\0\0\x11\0\x04\0\x10\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x90\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\
\0\0\0\x11\0\x04\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xa5\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb3\0\0\0\x11\0\x04\0\x28\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\xbe\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcb\0\0\0\x11\0\
\x04\0\x38\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xd5\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xea\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xf3\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\0\0\0\x11\0\x04\0\x20\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x08\x01\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x13\x01\0\0\x11\0\x04\0\x30\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x1b\x01\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\x01\0\0\x11\0\x04\0\x40\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x2e\x01\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\
\x01\0\0\x11\0\x04\0\x48\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x49\x01\0\0\x11\0\x05\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\
\x22\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x23\0\0\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x7b\x23\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\
\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x23\0\0\0\0\0\0\x18\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x69\x22\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x23\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x22\0\0\0\0\0\0\
\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x23\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\x02\0\0\x20\0\0\0\
\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x23\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x67\x02\0\0\x38\0\0\0\xc7\x02\0\0\x38\0\0\0\
\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x23\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\x02\0\0\x20\0\0\0\
\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x23\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x71\x24\x01\0\0\0\0\0\x67\x04\0\0\x08\0\0\0\x71\x23\0\0\0\0\0\0\
\x4f\x34\0\0\0\0\0\0\x71\x25\x02\0\0\0\0\0\x67\x05\0\0\x10\0\0\0\x71\x23\x03\0\
\0\0\0\0\x67\x03\0\0\x18\0\0\0\x4f\x53\0\0\0\0\0\0\x4f\x43\0\0\0\0\0\0\x71\x24\
\x05\0\0\0\0\0\x67\x04\0\0\x08\0\0\0\x71\x25\x04\0\0\0\0\0\x4f\x54\0\0\0\0\0\0\
\x71\x25\x06\0\0\0\0\0\x67\x05\0\0\x10\0\0\0\x71\x22\x07\0\0\0\0\0\x67\x02\0\0\
\x18\0\0\0\x4f\x52\0\0\0\0\0\0\x4f\x42\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\x4f\
\x32\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x23\0\0\0\0\0\0\x18\0\
\0\0\xde\xc0\xad\xde\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\
\x22\0\0\0\0\0\0\x15\x02\x04\0\0\0\0\0\xb7\x02\0\0\x7b\0\0\0\x85\0\0\0\xe7\x03\
\0\0\x67\0\0\0\x20\0\0\0\xc7\0\0\0\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7b\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x47\
\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x18\0\0\0\0\0\0\0\x01\0\
\0\0\x05\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\
\0\x07\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\
\x09\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\
\x0b\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\
\x0d\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\x01\0\0\0\
\x0f\0\0\0\x30\x01\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x58\x01\0\0\0\0\0\0\x01\0\0\
\0\x11\0\0\0\x70\x01\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\
\0\0\x13\0\0\0\xb0\x01\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x70\x02\0\0\0\0\0\0\x01\
\0\0\0\x15\0\0\0\x98\x02\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\xd8\x02\0\0\0\0\0\0\
\x01\0\0\0\x17\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xbc\x04\0\0\xbc\x04\0\0\
\x34\x04\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x15\0\0\x04\xa8\0\0\0\x09\0\
\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x40\0\0\0\x11\0\0\0\x03\0\0\0\x80\0\
\0\0\x15\0\0\0\x03\0\0\0\xc0\0\0\0\x19\0\0\0\x03\0\0\0\0\x01\0\0\x1d\0\0\0\x03\
\0\0\0\x40\x01\0\0\x21\0\0\0\x03\0\0\0\x80\x01\0\0\x25\0\0\0\x03\0\0\0\xc0\x01\
\0\0\x29\0\0\0\x03\0\0\0\0\x02\0\0\x2c\0\0\0\x03\0\0\0\x40\x02\0\0\x2f\0\0\0\
\x03\0\0\0\x80\x02\0\0\x33\0\0\0\x03\0\0\0\xc0\x02\0\0\x37\0\0\0\x03\0\0\0\0\
\x03\0\0\x3b\0\0\0\x03\0\0\0\x40\x03\0\0\x3f\0\0\0\x03\0\0\0\x80\x03\0\0\x43\0\
\0\0\x03\0\0\0\xc0\x03\0\0\x4c\0\0\0\x03\0\0\0\0\x04\0\0\x50\0\0\0\x03\0\0\0\
\x40\x04\0\0\x53\0\0\0\x03\0\0\0\x80\x04\0\0\x5a\0\0\0\x03\0\0\0\xc0\x04\0\0\
\x5e\0\0\0\x03\0\0\0\0\x05\0\0\x61\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\
\x01\0\0\x0d\x05\0\0\0\x6f\0\0\0\x01\0\0\0\x73\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\x01\x77\0\0\0\x01\0\0\x0c\x04\0\0\0\x88\0\0\0\0\0\0\x08\x08\0\0\0\x91\0\0\0\
\0\0\0\x08\x09\0\0\0\x9c\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xaf\0\0\0\0\0\0\
\x0e\x07\0\0\0\x01\0\0\0\xb8\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\xc4\0\0\0\0\0\
\0\x0e\x07\0\0\0\x01\0\0\0\xd1\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\xda\0\0\0\0\
\0\0\x0e\x07\0\0\0\x01\0\0\0\xe3\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\xee\0\0\0\
\0\0\0\x0e\x07\0\0\0\x01\0\0\0\xf6\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\0\x01\0\
\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x12\0\0\0\x14\0\0\
\0\x08\0\0\0\x05\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x19\x01\0\0\0\0\0\x0e\
\x13\0\0\0\x01\0\0\0\x21\x01\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\x2d\x01\0\0\0\0\
\0\x0e\x05\0\0\0\x02\0\0\0\x42\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x48\x01\
\0\0\0\0\0\x0e\x18\0\0\0\x02\0\0\0\x5b\x01\0\0\x03\0\0\x06\x04\0\0\0\x6b\x01\0\
\0\0\0\0\0\x72\x01\0\0\x01\0\0\0\x7a\x01\0\0\x02\0\0\0\x85\x01\0\0\0\0\0\x0e\
\x1a\0\0\0\x02\0\0\0\x95\x01\0\0\0\0\0\x0e\x18\0\0\0\x02\0\0\0\xa1\x01\0\0\0\0\
\0\x0e\x12\0\0\0\x02\0\0\0\xad\x01\0\0\0\0\0\x08\x1f\0\0\0\xb6\x01\0\0\0\0\0\
\x08\x20\0\0\0\xc1\x01\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\xd0\x01\0\0\0\0\0\x0e\
\x1e\0\0\0\x02\0\0\0\xde\x01\0\0\0\0\0\x0e\x05\0\0\0\x02\0\0\0\xe9\x01\0\0\0\0\
\0\x0e\x07\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x0a\x12\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x24\0\0\0\x14\0\0\0\x08\0\0\0\xf6\x01\0\0\0\0\0\x0e\x25\0\0\0\x02\0\0\0\x01\
\x02\0\0\0\0\0\x0e\x07\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x12\0\0\0\x14\
\0\0\0\x04\0\0\0\x10\x02\0\0\0\0\0\x0e\x28\0\0\0\x01\0\0\0\x0c\x04\0\0\x0a\0\0\
\x0f\x50\0\0\0\x0a\0\0\0\0\0\0\0\x08\0\0\0\x0b\0\0\0\x08\0\0\0\x08\0\0\0\x0c\0\
\0\0\x10\0\0\0\x08\0\0\0\x0d\0\0\0\x18\0\0\0\x08\0\0\0\x0e\0\0\0\x20\0\0\0\x08\
\0\0\0\x0f\0\0\0\x28\0\0\0\x08\0\0\0\x10\0\0\0\x30\0\0\0\x08\0\0\0\x11\0\0\0\
\x38\0\0\0\x08\0\0\0\x15\0\0\0\x40\0\0\0\x08\0\0\0\x16\0\0\0\x48\0\0\0\x08\0\0\
\0\x12\x04\0\0\x01\0\0\x0f\x04\0\0\0\x29\0\0\0\0\0\0\0\x04\0\0\0\x1a\x04\0\0\
\x0a\0\0\x0f\0\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\x19\0\0\0\0\0\0\0\x01\0\0\0\
\x1b\0\0\0\0\0\0\0\x04\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\0\0\0\0\x01\
\0\0\0\x21\0\0\0\0\0\0\0\x02\0\0\0\x22\0\0\0\0\0\0\0\x04\0\0\0\x23\0\0\0\0\0\0\
\0\x08\0\0\0\x26\0\0\0\0\0\0\0\x08\0\0\0\x27\0\0\0\0\0\0\0\x08\0\0\0\0\x70\x74\
\x5f\x72\x65\x67\x73\0\x72\x31\x35\0\x72\x31\x34\0\x72\x31\x33\0\x72\x31\x32\0\
\x72\x62\x70\0\x72\x62\x78\0\x72\x31\x31\0\x72\x31\x30\0\x72\x39\0\x72\x38\0\
\x72\x61\x78\0\x72\x63\x78\0\x72\x64\x78\0\x72\x73\x69\0\x72\x64\x69\0\x6f\x72\
\x69\x67\x5f\x72\x61\x78\0\x72\x69\x70\0\x63\x73\0\x65\x66\x6c\x61\x67\x73\0\
\x72\x73\x70\0\x73\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\
\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\0\x75\x69\x6e\x74\x36\x34\x5f\x74\0\x5f\x5f\x75\x69\x6e\x74\
\x36\x34\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x6b\x65\x72\x6e\x5f\x76\x65\x72\0\x62\x70\x66\x5f\x73\x79\x73\
\x63\x61\x6c\x6c\0\x74\x72\x69\x73\x74\x61\x74\x65\x5f\x76\x61\x6c\0\x62\x6f\
\x6f\x6c\x5f\x76\x61\x6c\0\x63\x68\x61\x72\x5f\x76\x61\x6c\0\x75\x73\x68\x6f\
\x72\x74\x5f\x76\x61\x6c\0\x69\x6e\x74\x5f\x76\x61\x6c\0\x75\x6c\x6f\x6e\x67\
\x5f\x76\x61\x6c\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x74\x72\x5f\x76\x61\x6c\0\x6d\x69\
\x73\x73\x69\x6e\x67\x5f\x76\x61\x6c\0\x4c\x49\x4e\x55\x58\x5f\x4b\x45\x52\x4e\
\x45\x4c\x5f\x56\x45\x52\x53\x49\x4f\x4e\0\x5f\x42\x6f\x6f\x6c\0\x43\x4f\x4e\
\x46\x49\x47\x5f\x42\x50\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x6c\x69\x62\x62\
\x70\x66\x5f\x74\x72\x69\x73\x74\x61\x74\x65\0\x54\x52\x49\x5f\x4e\x4f\0\x54\
\x52\x49\x5f\x59\x45\x53\0\x54\x52\x49\x5f\x4d\x4f\x44\x55\x4c\x45\0\x43\x4f\
\x4e\x46\x49\x47\x5f\x54\x52\x49\x53\x54\x41\x54\x45\0\x43\x4f\x4e\x46\x49\x47\
\x5f\x42\x4f\x4f\x4c\0\x43\x4f\x4e\x46\x49\x47\x5f\x43\x48\x41\x52\0\x75\x69\
\x6e\x74\x31\x36\x5f\x74\0\x5f\x5f\x75\x69\x6e\x74\x31\x36\x5f\x74\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x43\x4f\x4e\x46\x49\x47\x5f\
\x55\x53\x48\x4f\x52\x54\0\x43\x4f\x4e\x46\x49\x47\x5f\x49\x4e\x54\0\x43\x4f\
\x4e\x46\x49\x47\x5f\x55\x4c\x4f\x4e\x47\0\x43\x4f\x4e\x46\x49\x47\x5f\x53\x54\
\x52\0\x43\x4f\x4e\x46\x49\x47\x5f\x4d\x49\x53\x53\x49\x4e\x47\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x72\x74\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x35\x35\x33\x2e\x35\x38\x2e\x31\x2e\x72\x74\x37\x2e\
\x33\x39\x39\x2e\x65\x6c\x38\x5f\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\
\x31\x38\x2e\x30\x2d\x35\x35\x33\x2e\x35\x38\x2e\x31\x2e\x72\x74\x37\x2e\x33\
\x39\x39\x2e\x65\x6c\x38\x5f\x31\x30\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x63\
\x6f\x72\x65\x5f\x65\x78\x74\x65\x72\x6e\x2e\x63\0\x09\x62\x70\x66\x5f\x73\x79\
\x73\x63\x61\x6c\x6c\x20\x3d\x20\x43\x4f\x4e\x46\x49\x47\x5f\x42\x50\x46\x5f\
\x53\x59\x53\x43\x41\x4c\x4c\x3b\0\x09\x74\x72\x69\x73\x74\x61\x74\x65\x5f\x76\
\x61\x6c\x20\x3d\x20\x43\x4f\x4e\x46\x49\x47\x5f\x54\x52\x49\x53\x54\x41\x54\
\x45\x3b\0\x09\x62\x6f\x6f\x6c\x5f\x76\x61\x6c\x20\x3d\x20\x43\x4f\x4e\x46\x49\
\x47\x5f\x42\x4f\x4f\x4c\x3b\0\x09\x75\x73\x68\x6f\x72\x74\x5f\x76\x61\x6c\x20\
\x3d\x20\x43\x4f\x4e\x46\x49\x47\x5f\x55\x53\x48\x4f\x52\x54\x3b\0\x09\x75\x6c\
\x6f\x6e\x67\x5f\x76\x61\x6c\x20\x3d\x20\x43\x4f\x4e\x46\x49\x47\x5f\x55\x4c\
\x4f\x4e\x47\x3b\0\x09\x6b\x65\x72\x6e\x5f\x76\x65\x72\x20\x3d\x20\x4c\x49\x4e\
\x55\x58\x5f\x4b\x45\x52\x4e\x45\x4c\x5f\x56\x45\x52\x53\x49\x4f\x4e\x3b\0\x09\
\x63\x68\x61\x72\x5f\x76\x61\x6c\x20\x3d\x20\x43\x4f\x4e\x46\x49\x47\x5f\x43\
\x48\x41\x52\x3b\0\x09\x69\x6e\x74\x5f\x76\x61\x6c\x20\x3d\x20\x43\x4f\x4e\x46\
\x49\x47\x5f\x49\x4e\x54\x3b\0\x09\x09\x73\x74\x72\x5f\x76\x61\x6c\x5b\x69\x5d\
\x20\x3d\x20\x43\x4f\x4e\x46\x49\x47\x5f\x53\x54\x52\x5b\x69\x5d\x3b\0\x09\x69\
\x66\x20\x28\x43\x4f\x4e\x46\x49\x47\x5f\x4d\x49\x53\x53\x49\x4e\x47\x29\0\x09\
\x09\x6d\x69\x73\x73\x69\x6e\x67\x5f\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\
\x6d\x69\x73\x73\x69\x6e\x67\x5f\x68\x65\x6c\x70\x65\x72\x28\x63\x74\x78\x2c\
\x20\x31\x32\x33\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x2e\x64\
\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x63\x6f\x6e\x66\x69\x67\0\
\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x9f\xeb\x01\
\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x5c\x01\0\0\x70\x01\0\0\0\0\0\0\x08\0\
\0\0\x23\x04\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x10\0\0\0\x23\x04\0\0\x15\0\0\0\0\
\0\0\0\x19\x02\0\0\xb9\x02\0\0\x10\xa4\0\0\x18\0\0\0\x19\x02\0\0\xb9\x02\0\0\
\x0e\xa4\0\0\x30\0\0\0\x19\x02\0\0\xdc\x02\0\0\x11\xa8\0\0\x48\0\0\0\x19\x02\0\
\0\xdc\x02\0\0\x0f\xa8\0\0\x60\0\0\0\x19\x02\0\0\xfd\x02\0\0\x0d\xac\0\0\x78\0\
\0\0\x19\x02\0\0\xfd\x02\0\0\x0b\xac\0\0\x90\0\0\0\x19\x02\0\0\x16\x03\0\0\x0f\
\xb4\0\0\xa8\0\0\0\x19\x02\0\0\x16\x03\0\0\x0d\xb4\0\0\xc0\0\0\0\x19\x02\0\0\
\x33\x03\0\0\x0e\xbc\0\0\xd8\0\0\0\x19\x02\0\0\x33\x03\0\0\x0c\xbc\0\0\xf0\0\0\
\0\x19\x02\0\0\x4e\x03\0\0\x0d\xa0\0\0\x18\x01\0\0\x19\x02\0\0\x4e\x03\0\0\x0b\
\xa0\0\0\x30\x01\0\0\x19\x02\0\0\x70\x03\0\0\x0d\xb0\0\0\x58\x01\0\0\x19\x02\0\
\0\x70\x03\0\0\x0b\xb0\0\0\x70\x01\0\0\x19\x02\0\0\x89\x03\0\0\x0c\xb8\0\0\x98\
\x01\0\0\x19\x02\0\0\x89\x03\0\0\x0a\xb8\0\0\xb0\x01\0\0\x19\x02\0\0\xa0\x03\0\
\0\x0e\xc8\0\0\x98\x02\0\0\x19\x02\0\0\xbe\x03\0\0\x06\xd4\0\0\xb0\x02\0\0\x19\
\x02\0\0\xbe\x03\0\0\x06\xd4\0\0\xb8\x02\0\0\x19\x02\0\0\xd3\x03\0\0\x11\xdc\0\
\0\xf0\x02\0\0\x19\x02\0\0\x01\x04\0\0\x02\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x75\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x01\0\0\0\0\
\0\0\x58\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x04\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x07\0\0\0\0\0\0\x50\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x07\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x68\x07\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x67\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa8\x08\0\0\0\0\0\0\x08\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x6c\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb0\x11\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

#endif /* __TEST_CORE_EXTERN_SKEL_H__ */
