/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_CORE_AUTOSIZE_SKEL_H__
#define __TEST_CORE_AUTOSIZE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_core_autosize {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_samesize;
		struct bpf_program *handle_downsize;
		struct bpf_program *handle_probed;
		struct bpf_program *handle_signed;
	} progs;
	struct {
		struct bpf_link *handle_samesize;
		struct bpf_link *handle_downsize;
		struct bpf_link *handle_probed;
		struct bpf_link *handle_signed;
	} links;
	struct test_core_autosize__data {
		struct test_struct___real input;
	} *data;
	struct test_core_autosize__bss {
		unsigned long long ptr_samesized;
		unsigned long long val1_samesized;
		unsigned long long val2_samesized;
		unsigned long long val3_samesized;
		unsigned long long val4_samesized;
		struct test_struct___real output_samesized;
		unsigned long long ptr_downsized;
		unsigned long long val1_downsized;
		unsigned long long val2_downsized;
		unsigned long long val3_downsized;
		unsigned long long val4_downsized;
		struct test_struct___real output_downsized;
		unsigned long long ptr_probed;
		unsigned long long val1_probed;
		unsigned long long val2_probed;
		unsigned long long val3_probed;
		unsigned long long val4_probed;
		unsigned long long ptr_signed;
		unsigned long long val1_signed;
		unsigned long long val2_signed;
		unsigned long long val3_signed;
		unsigned long long val4_signed;
		struct test_struct___real output_signed;
	} *bss;
};

static void
test_core_autosize__destroy(struct test_core_autosize *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_core_autosize__create_skeleton(struct test_core_autosize *obj);

static inline struct test_core_autosize *
test_core_autosize__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_core_autosize *obj;
	int err;

	obj = (struct test_core_autosize *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_core_autosize__create_skeleton(obj);
	err = err ?: bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_core_autosize__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_core_autosize *
test_core_autosize__open(void)
{
	return test_core_autosize__open_opts(NULL);
}

static inline int
test_core_autosize__load(struct test_core_autosize *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_core_autosize *
test_core_autosize__open_and_load(void)
{
	struct test_core_autosize *obj;
	int err;

	obj = test_core_autosize__open();
	if (!obj)
		return NULL;
	err = test_core_autosize__load(obj);
	if (err) {
		test_core_autosize__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_core_autosize__attach(struct test_core_autosize *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_core_autosize__detach(struct test_core_autosize *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_core_autosize__create_skeleton(struct test_core_autosize *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_core_autosize";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_cor.data";
	s->maps[0].map = &obj->maps.data;
	s->maps[0].mmaped = (void **)&obj->data;

	s->maps[1].name = "test_cor.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handle_samesize";
	s->progs[0].prog = &obj->progs.handle_samesize;
	s->progs[0].link = &obj->links.handle_samesize;

	s->progs[1].name = "handle_downsize";
	s->progs[1].prog = &obj->progs.handle_downsize;
	s->progs[1].link = &obj->links.handle_downsize;

	s->progs[2].name = "handle_probed";
	s->progs[2].prog = &obj->progs.handle_probed;
	s->progs[2].link = &obj->links.handle_probed;

	s->progs[3].name = "handle_signed";
	s->progs[3].prog = &obj->progs.handle_signed;
	s->progs[3].link = &obj->links.handle_signed;

	s->data_sz = 9152;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc0\x20\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\0\x72\x61\x77\x5f\x74\x70\
\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\
\x61\x75\x74\x6f\x73\x69\x7a\x65\x2e\x63\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x61\
\x6d\x65\x73\x69\x7a\x65\0\x6f\x75\x74\x70\x75\x74\x5f\x73\x61\x6d\x65\x73\x69\
\x7a\x65\x64\0\x69\x6e\x70\x75\x74\0\x70\x74\x72\x5f\x73\x61\x6d\x65\x73\x69\
\x7a\x65\x64\0\x76\x61\x6c\x31\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x76\
\x61\x6c\x32\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x33\x5f\x73\
\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x34\x5f\x73\x61\x6d\x65\x73\x69\
\x7a\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\0\
\x6f\x75\x74\x70\x75\x74\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x70\x74\x72\
\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x31\x5f\x64\x6f\x77\x6e\
\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x33\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\
\0\x76\x61\x6c\x34\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x32\
\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x70\x72\
\x6f\x62\x65\x64\0\x70\x74\x72\x5f\x70\x72\x6f\x62\x65\x64\0\x76\x61\x6c\x31\
\x5f\x70\x72\x6f\x62\x65\x64\0\x76\x61\x6c\x32\x5f\x70\x72\x6f\x62\x65\x64\0\
\x76\x61\x6c\x33\x5f\x70\x72\x6f\x62\x65\x64\0\x76\x61\x6c\x34\x5f\x70\x72\x6f\
\x62\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x69\x67\x6e\x65\x64\0\x6f\x75\
\x74\x70\x75\x74\x5f\x73\x69\x67\x6e\x65\x64\0\x76\x61\x6c\x32\x5f\x73\x69\x67\
\x6e\x65\x64\0\x76\x61\x6c\x33\x5f\x73\x69\x67\x6e\x65\x64\0\x76\x61\x6c\x34\
\x5f\x73\x69\x67\x6e\x65\x64\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x74\x72\
\x5f\x73\x69\x67\x6e\x65\x64\0\x76\x61\x6c\x31\x5f\x73\x69\x67\x6e\x65\x64\0\
\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\0\
\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x08\x01\0\0\0\0\0\0\x6a\0\0\0\x11\0\x07\0\x28\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x7b\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x81\0\0\0\x11\0\x07\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x8f\0\0\0\x11\0\x07\0\x08\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x9e\0\0\0\x11\0\x07\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xad\0\
\0\0\x11\0\x07\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xbc\0\0\0\x11\0\x07\0\x20\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xcb\0\0\0\x12\0\x03\0\x08\x01\0\0\0\0\0\0\x08\
\x01\0\0\0\0\0\0\xdb\0\0\0\x11\0\x07\0\x68\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\xec\
\0\0\0\x11\0\x07\0\x40\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xfa\0\0\0\x11\0\x07\0\
\x48\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x09\x01\0\0\x11\0\x07\0\x58\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\x01\0\0\x11\0\x07\0\x60\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x27\x01\0\0\x11\0\x07\0\x50\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x36\x01\0\0\x12\0\
\x04\0\0\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x44\x01\0\0\x11\0\x07\0\x80\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x4f\x01\0\0\x11\0\x07\0\x88\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x5b\x01\0\0\x11\0\x07\0\x90\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x67\x01\0\0\
\x11\0\x07\0\x98\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x73\x01\0\0\x11\0\x07\0\xa0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x7f\x01\0\0\x12\0\x04\0\x10\x02\0\0\0\0\0\0\xa8\
\0\0\0\0\0\0\0\x8d\x01\0\0\x11\0\x07\0\xd0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x9b\
\x01\0\0\x11\0\x07\0\xb8\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xa7\x01\0\0\x11\0\x07\
\0\xc0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xb3\x01\0\0\x11\0\x07\0\xc8\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\xbf\x01\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xc8\x01\0\0\x11\0\x07\0\xa8\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xd3\x01\0\0\x11\0\
\x07\0\xb0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x23\0\0\0\0\0\0\x7b\x31\0\0\0\0\0\0\
\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x34\0\0\0\0\0\0\x79\x23\x08\0\0\0\0\0\
\x7b\x31\x08\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x34\0\0\0\0\0\0\
\x61\x23\x10\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x34\0\0\0\0\0\0\
\x69\x24\x14\0\0\0\0\0\x18\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x45\0\0\0\0\0\0\
\x71\x24\x16\0\0\0\0\0\x18\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x45\0\0\0\0\0\0\
\x63\x31\x10\0\0\0\0\0\x69\x23\x14\0\0\0\0\0\x6b\x31\x14\0\0\0\0\0\x71\x22\x16\
\0\0\0\0\0\x73\x21\x16\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x23\0\0\0\0\
\0\0\x7b\x31\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x34\0\0\0\0\0\
\0\x79\x23\x08\0\0\0\0\0\x7b\x31\x08\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x7b\x34\0\0\0\0\0\0\x79\x23\x18\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x7b\x34\0\0\0\0\0\0\x79\x23\x20\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x7b\x34\0\0\0\0\0\0\x79\x23\x10\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x7b\x34\0\0\0\0\0\0\x7b\x31\x10\0\0\0\0\0\x79\x23\x18\0\0\0\0\0\x7b\x31\
\x18\0\0\0\0\0\x79\x22\x20\0\0\0\0\0\x7b\x21\x20\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xb7\x08\0\0\0\0\0\0\x7b\x8a\xf8\xff\0\0\0\0\xb7\x01\0\0\0\0\
\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0f\x13\0\0\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\x07\0\0\xf8\xff\xff\xff\xbf\x71\0\
\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x7b\x21\0\0\0\0\0\0\x7b\x8a\xf8\xff\0\0\0\0\
\xb7\x01\0\0\x08\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\
\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x7b\x21\0\0\0\0\0\0\x7b\x8a\xf8\
\xff\0\0\0\0\xb7\x01\0\0\x10\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\
\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x7b\x21\0\0\0\0\0\0\
\x7b\x8a\xf8\xff\0\0\0\0\xb7\x01\0\0\x18\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x0f\x13\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\
\x71\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x7b\x21\
\0\0\0\0\0\0\x7b\x8a\xf8\xff\0\0\0\0\xb7\x01\0\0\x20\0\0\0\x0f\x16\0\0\0\0\0\0\
\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\xbf\x63\0\0\0\0\0\0\x85\0\0\0\x71\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x7b\x21\0\0\0\
\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x23\x10\0\0\0\0\0\x7b\x31\x10\0\0\0\0\
\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x34\0\0\0\0\0\0\x79\x23\x18\0\0\0\0\
\0\x7b\x31\x18\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x34\0\0\0\0\0\
\0\x79\x22\x20\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x23\0\0\0\0\0\
\0\x7b\x21\x20\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\
\0\0\x04\x03\x02\x01\x0d\x0c\x0b\x0a\x80\x70\x60\x50\x40\x30\x20\x10\xed\xfe\
\xb9\xff\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\
\0\x06\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\
\x08\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\0\
\x0a\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\
\x0d\0\0\0\x18\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\
\0\x0e\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\
\0\0\x10\0\0\0\xa0\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\xc0\x01\0\0\0\0\0\0\x01\
\0\0\0\x12\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x28\0\0\0\0\0\0\0\x01\0\
\0\0\x06\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\
\0\x06\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\xf8\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\x28\x01\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x58\x01\0\0\0\0\0\0\x01\0\0\
\0\x06\0\0\0\x88\x01\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\xe0\x01\0\0\0\0\0\0\x01\0\
\0\0\x18\0\0\0\x10\x02\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\x20\x02\0\0\0\0\0\0\x01\
\0\0\0\x06\0\0\0\x40\x02\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\x68\x02\0\0\0\0\0\0\
\x01\0\0\0\x1c\0\0\0\x88\x02\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\x04\x05\0\0\x04\x05\0\0\xbc\x07\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\
\0\0\0\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x02\0\0\0\x19\0\0\0\x05\0\0\x04\x18\0\0\0\
\x30\0\0\0\x01\0\0\0\0\0\0\0\x34\0\0\0\x06\0\0\0\x40\0\0\0\x39\0\0\0\x07\0\0\0\
\x80\0\0\0\x3e\0\0\0\x08\0\0\0\xa0\0\0\0\x43\0\0\0\x09\0\0\0\xb0\0\0\0\x48\0\0\
\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x5b\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x68\0\
\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\x77\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\x85\
\0\0\0\x01\0\0\x0c\x02\0\0\0\x95\0\0\0\x05\0\0\x04\x28\0\0\0\x30\0\0\0\x01\0\0\
\0\0\0\0\0\x34\0\0\0\x0c\0\0\0\x40\0\0\0\x39\0\0\0\x0c\0\0\0\x80\0\0\0\x3e\0\0\
\0\x0c\0\0\0\xc0\0\0\0\x43\0\0\0\x0c\0\0\0\0\x01\0\0\xac\0\0\0\0\0\0\x01\x08\0\
\0\0\x40\0\0\0\xba\0\0\0\x01\0\0\x0c\x02\0\0\0\xc8\0\0\0\x01\0\0\x0c\x02\0\0\0\
\xd6\0\0\0\x05\0\0\x04\x28\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\0\x34\0\0\0\x10\0\0\
\0\x40\0\0\0\x39\0\0\0\x10\0\0\0\x80\0\0\0\x3e\0\0\0\x10\0\0\0\xc0\0\0\0\x43\0\
\0\0\x10\0\0\0\0\x01\0\0\xeb\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xf0\0\0\0\0\
\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x13\0\0\0\
\x04\0\0\0\xf5\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x09\x01\0\0\0\0\0\x0e\x12\0\
\0\0\x01\0\0\0\x12\x01\0\0\x06\0\0\x04\x18\0\0\0\x30\0\0\0\x07\0\0\0\0\0\0\0\
\x39\0\0\0\x07\0\0\0\x20\0\0\0\x34\0\0\0\x06\0\0\0\x40\0\0\0\x3e\0\0\0\x08\0\0\
\0\x80\0\0\0\x43\0\0\0\x09\0\0\0\x90\0\0\0\x25\x01\0\0\x09\0\0\0\x98\0\0\0\x2a\
\x01\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\x30\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\
\0\x3e\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x4d\x01\0\0\0\0\0\x0e\x06\0\0\0\
\x01\0\0\0\x5c\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x6b\x01\0\0\0\0\0\x0e\x06\
\0\0\0\x01\0\0\0\x7a\x01\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\x8b\x01\0\0\0\0\0\
\x0e\x06\0\0\0\x01\0\0\0\x99\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\xa8\x01\0\0\
\0\0\0\x0e\x06\0\0\0\x01\0\0\0\xb7\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\xc6\
\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\xd5\x01\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\
\0\xe6\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\xf1\x01\0\0\0\0\0\x0e\x06\0\0\0\
\x01\0\0\0\xfd\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x09\x02\0\0\0\0\0\x0e\x06\
\0\0\0\x01\0\0\0\x15\x02\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x21\x02\0\0\0\0\0\
\x0e\x06\0\0\0\x01\0\0\0\x2c\x02\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x38\x02\0\0\
\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x44\x02\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x50\
\x02\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x5c\x02\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\
\0\x88\x07\0\0\x01\0\0\x0f\x04\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\0\x90\x07\0\0\
\x01\0\0\x0f\x18\0\0\0\x16\0\0\0\0\0\0\0\x18\0\0\0\x96\x07\0\0\x17\0\0\x0f\xe8\
\0\0\0\x17\0\0\0\0\0\0\0\x08\0\0\0\x18\0\0\0\x08\0\0\0\x08\0\0\0\x19\0\0\0\x10\
\0\0\0\x08\0\0\0\x1a\0\0\0\x18\0\0\0\x08\0\0\0\x1b\0\0\0\x20\0\0\0\x08\0\0\0\
\x1c\0\0\0\x28\0\0\0\x18\0\0\0\x1d\0\0\0\x40\0\0\0\x08\0\0\0\x1e\0\0\0\x48\0\0\
\0\x08\0\0\0\x1f\0\0\0\x50\0\0\0\x08\0\0\0\x20\0\0\0\x58\0\0\0\x08\0\0\0\x21\0\
\0\0\x60\0\0\0\x08\0\0\0\x22\0\0\0\x68\0\0\0\x18\0\0\0\x23\0\0\0\x80\0\0\0\x08\
\0\0\0\x24\0\0\0\x88\0\0\0\x08\0\0\0\x25\0\0\0\x90\0\0\0\x08\0\0\0\x26\0\0\0\
\x98\0\0\0\x08\0\0\0\x27\0\0\0\xa0\0\0\0\x08\0\0\0\x28\0\0\0\xa8\0\0\0\x08\0\0\
\0\x29\0\0\0\xb0\0\0\0\x08\0\0\0\x2a\0\0\0\xb8\0\0\0\x08\0\0\0\x2b\0\0\0\xc0\0\
\0\0\x08\0\0\0\x2c\0\0\0\xc8\0\0\0\x08\0\0\0\x2d\0\0\0\xd0\0\0\0\x18\0\0\0\0\
\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x61\x6d\x65\x73\
\x69\x7a\x65\0\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x5f\x5f\x73\x61\
\x6d\x65\x73\x69\x7a\x65\0\x70\x74\x72\0\x76\x61\x6c\x31\0\x76\x61\x6c\x32\0\
\x76\x61\x6c\x33\0\x76\x61\x6c\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x68\x61\x6e\x64\x6c\x65\x5f\x64\x6f\
\x77\x6e\x73\x69\x7a\x65\0\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x5f\
\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\0\x68\x61\x6e\x64\x6c\x65\x5f\x70\x72\x6f\x62\x65\x64\0\x68\x61\
\x6e\x64\x6c\x65\x5f\x73\x69\x67\x6e\x65\x64\0\x74\x65\x73\x74\x5f\x73\x74\x72\
\x75\x63\x74\x5f\x5f\x5f\x73\x69\x67\x6e\x65\x64\0\x6c\x6f\x6e\x67\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x73\x74\x72\
\x75\x63\x74\x5f\x5f\x5f\x72\x65\x61\x6c\0\x5f\x70\x61\x64\0\x69\x6e\x70\x75\
\x74\0\x70\x74\x72\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x31\
\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x32\x5f\x73\x61\x6d\x65\
\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x33\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\
\0\x76\x61\x6c\x34\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x6f\x75\x74\x70\
\x75\x74\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x70\x74\x72\x5f\x64\x6f\x77\
\x6e\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x31\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\
\x64\0\x76\x61\x6c\x32\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x76\x61\x6c\
\x33\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x34\x5f\x64\x6f\x77\
\x6e\x73\x69\x7a\x65\x64\0\x6f\x75\x74\x70\x75\x74\x5f\x64\x6f\x77\x6e\x73\x69\
\x7a\x65\x64\0\x70\x74\x72\x5f\x70\x72\x6f\x62\x65\x64\0\x76\x61\x6c\x31\x5f\
\x70\x72\x6f\x62\x65\x64\0\x76\x61\x6c\x32\x5f\x70\x72\x6f\x62\x65\x64\0\x76\
\x61\x6c\x33\x5f\x70\x72\x6f\x62\x65\x64\0\x76\x61\x6c\x34\x5f\x70\x72\x6f\x62\
\x65\x64\0\x70\x74\x72\x5f\x73\x69\x67\x6e\x65\x64\0\x76\x61\x6c\x31\x5f\x73\
\x69\x67\x6e\x65\x64\0\x76\x61\x6c\x32\x5f\x73\x69\x67\x6e\x65\x64\0\x76\x61\
\x6c\x33\x5f\x73\x69\x67\x6e\x65\x64\0\x76\x61\x6c\x34\x5f\x73\x69\x67\x6e\x65\
\x64\0\x6f\x75\x74\x70\x75\x74\x5f\x73\x69\x67\x6e\x65\x64\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x72\x74\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x35\x35\x33\
\x2e\x35\x38\x2e\x31\x2e\x72\x74\x37\x2e\x33\x39\x39\x2e\x65\x6c\x38\x5f\x31\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x35\x35\x33\x2e\
\x35\x38\x2e\x31\x2e\x72\x74\x37\x2e\x33\x39\x39\x2e\x65\x6c\x38\x5f\x31\x30\
\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x61\x75\x74\x6f\x73\
\x69\x7a\x65\x2e\x63\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x73\x61\x6d\
\x65\x73\x69\x7a\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x70\x74\
\x72\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\x20\x3d\x20\x28\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x29\x69\x6e\x2d\x3e\
\x70\x74\x72\x3b\0\x09\x6f\x75\x74\x2d\x3e\x70\x74\x72\x20\x3d\x20\x69\x6e\x2d\
\x3e\x70\x74\x72\x3b\0\x09\x6f\x75\x74\x2d\x3e\x76\x61\x6c\x31\x20\x3d\x20\x69\
\x6e\x2d\x3e\x76\x61\x6c\x31\x3b\0\x09\x76\x61\x6c\x31\x5f\x73\x61\x6d\x65\x73\
\x69\x7a\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x31\x3b\0\x09\x76\x61\
\x6c\x32\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\
\x76\x61\x6c\x32\x3b\0\x09\x76\x61\x6c\x33\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\
\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x33\x3b\0\x09\x76\x61\x6c\x34\x5f\
\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\
\x34\x3b\0\x09\x6f\x75\x74\x2d\x3e\x76\x61\x6c\x32\x20\x3d\x20\x69\x6e\x2d\x3e\
\x76\x61\x6c\x32\x3b\0\x09\x6f\x75\x74\x2d\x3e\x76\x61\x6c\x33\x20\x3d\x20\x69\
\x6e\x2d\x3e\x76\x61\x6c\x33\x3b\0\x09\x6f\x75\x74\x2d\x3e\x76\x61\x6c\x34\x20\
\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x34\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x30\x3b\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x64\x6f\x77\x6e\x73\x69\
\x7a\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x70\x74\x72\x5f\x64\
\x6f\x77\x6e\x73\x69\x7a\x65\x64\x20\x3d\x20\x28\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x29\x69\x6e\x2d\x3e\x70\x74\x72\
\x3b\0\x09\x76\x61\x6c\x31\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\x20\x3d\x20\
\x69\x6e\x2d\x3e\x76\x61\x6c\x31\x3b\0\x09\x76\x61\x6c\x33\x5f\x64\x6f\x77\x6e\
\x73\x69\x7a\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x33\x3b\0\x09\x76\
\x61\x6c\x34\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\x20\x3d\x20\x69\x6e\x2d\
\x3e\x76\x61\x6c\x34\x3b\0\x09\x76\x61\x6c\x32\x5f\x64\x6f\x77\x6e\x73\x69\x7a\
\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x32\x3b\0\x69\x6e\x74\x20\x68\
\x61\x6e\x64\x6c\x65\x5f\x70\x72\x6f\x62\x65\x64\x28\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x29\0\x09\x74\x6d\x70\x20\x3d\x20\x30\x3b\0\x09\x62\x70\x66\x5f\
\x63\x6f\x72\x65\x5f\x72\x65\x61\x64\x28\x26\x74\x6d\x70\x2c\x20\x62\x70\x66\
\x5f\x63\x6f\x72\x65\x5f\x66\x69\x65\x6c\x64\x5f\x73\x69\x7a\x65\x28\x69\x6e\
\x2d\x3e\x70\x74\x72\x29\x2c\x20\x26\x69\x6e\x2d\x3e\x70\x74\x72\x29\x3b\0\x09\
\x70\x74\x72\x5f\x70\x72\x6f\x62\x65\x64\x20\x3d\x20\x74\x6d\x70\x3b\0\x09\x62\
\x70\x66\x5f\x63\x6f\x72\x65\x5f\x72\x65\x61\x64\x28\x26\x74\x6d\x70\x2c\x20\
\x62\x70\x66\x5f\x63\x6f\x72\x65\x5f\x66\x69\x65\x6c\x64\x5f\x73\x69\x7a\x65\
\x28\x69\x6e\x2d\x3e\x76\x61\x6c\x31\x29\x2c\x20\x26\x69\x6e\x2d\x3e\x76\x61\
\x6c\x31\x29\x3b\0\x09\x76\x61\x6c\x31\x5f\x70\x72\x6f\x62\x65\x64\x20\x3d\x20\
\x74\x6d\x70\x3b\0\x09\x62\x70\x66\x5f\x63\x6f\x72\x65\x5f\x72\x65\x61\x64\x28\
\x26\x74\x6d\x70\x2c\x20\x62\x70\x66\x5f\x63\x6f\x72\x65\x5f\x66\x69\x65\x6c\
\x64\x5f\x73\x69\x7a\x65\x28\x69\x6e\x2d\x3e\x76\x61\x6c\x32\x29\x2c\x20\x26\
\x69\x6e\x2d\x3e\x76\x61\x6c\x32\x29\x3b\0\x09\x76\x61\x6c\x32\x5f\x70\x72\x6f\
\x62\x65\x64\x20\x3d\x20\x74\x6d\x70\x3b\0\x09\x62\x70\x66\x5f\x63\x6f\x72\x65\
\x5f\x72\x65\x61\x64\x28\x26\x74\x6d\x70\x2c\x20\x62\x70\x66\x5f\x63\x6f\x72\
\x65\x5f\x66\x69\x65\x6c\x64\x5f\x73\x69\x7a\x65\x28\x69\x6e\x2d\x3e\x76\x61\
\x6c\x33\x29\x2c\x20\x26\x69\x6e\x2d\x3e\x76\x61\x6c\x33\x29\x3b\0\x09\x76\x61\
\x6c\x33\x5f\x70\x72\x6f\x62\x65\x64\x20\x3d\x20\x74\x6d\x70\x3b\0\x09\x62\x70\
\x66\x5f\x63\x6f\x72\x65\x5f\x72\x65\x61\x64\x28\x26\x74\x6d\x70\x2c\x20\x62\
\x70\x66\x5f\x63\x6f\x72\x65\x5f\x66\x69\x65\x6c\x64\x5f\x73\x69\x7a\x65\x28\
\x69\x6e\x2d\x3e\x76\x61\x6c\x34\x29\x2c\x20\x26\x69\x6e\x2d\x3e\x76\x61\x6c\
\x34\x29\x3b\0\x09\x76\x61\x6c\x34\x5f\x70\x72\x6f\x62\x65\x64\x20\x3d\x20\x74\
\x6d\x70\x3b\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x73\x69\x67\x6e\x65\
\x64\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x76\x61\x6c\x32\x5f\x73\
\x69\x67\x6e\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x32\x3b\0\x09\x6f\
\x75\x74\x2d\x3e\x76\x61\x6c\x32\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x32\x3b\0\
\x09\x6f\x75\x74\x2d\x3e\x76\x61\x6c\x33\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\
\x33\x3b\0\x09\x76\x61\x6c\x33\x5f\x73\x69\x67\x6e\x65\x64\x20\x3d\x20\x69\x6e\
\x2d\x3e\x76\x61\x6c\x33\x3b\0\x09\x6f\x75\x74\x2d\x3e\x76\x61\x6c\x34\x3d\x20\
\x69\x6e\x2d\x3e\x76\x61\x6c\x34\x3b\0\x09\x76\x61\x6c\x34\x5f\x73\x69\x67\x6e\
\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x34\x3b\0\x30\x3a\x30\0\x30\
\x3a\x31\0\x30\x3a\x32\0\x30\x3a\x33\0\x30\x3a\x34\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x72\x61\x77\x5f\x74\x70\x2f\x73\
\x79\x73\x5f\x65\x78\x69\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\xd4\x04\
\0\0\x08\x05\0\0\x94\x02\0\0\x08\0\0\0\x9b\x07\0\0\x02\0\0\0\0\0\0\0\x04\0\0\0\
\x08\x01\0\0\x0a\0\0\0\xab\x07\0\0\x02\0\0\0\0\0\0\0\x0d\0\0\0\x10\x02\0\0\x0e\
\0\0\0\x10\0\0\0\x9b\x07\0\0\x26\0\0\0\0\0\0\0\x6a\x02\0\0\x0c\x03\0\0\0\x5c\
\x01\0\x20\0\0\0\x6a\x02\0\0\x2b\x03\0\0\x2a\x70\x01\0\x28\0\0\0\x6a\x02\0\0\
\x59\x03\0\0\x0b\x88\x01\0\x30\0\0\0\x6a\x02\0\0\x2b\x03\0\0\x10\x70\x01\0\x48\
\0\0\0\x6a\x02\0\0\x6e\x03\0\0\x12\x8c\x01\0\x50\0\0\0\x6a\x02\0\0\x6e\x03\0\0\
\x0c\x8c\x01\0\x58\0\0\0\x6a\x02\0\0\x85\x03\0\0\x11\x74\x01\0\x70\0\0\0\x6a\
\x02\0\0\xa1\x03\0\0\x17\x78\x01\0\x78\0\0\0\x6a\x02\0\0\xa1\x03\0\0\x11\x78\
\x01\0\x90\0\0\0\x6a\x02\0\0\xbd\x03\0\0\x17\x7c\x01\0\x98\0\0\0\x6a\x02\0\0\
\xbd\x03\0\0\x11\x7c\x01\0\xb0\0\0\0\x6a\x02\0\0\xd9\x03\0\0\x17\x80\x01\0\xb8\
\0\0\0\x6a\x02\0\0\xd9\x03\0\0\x11\x80\x01\0\xd0\0\0\0\x6a\x02\0\0\xf5\x03\0\0\
\x0c\x90\x01\0\xd8\0\0\0\x6a\x02\0\0\x0c\x04\0\0\x12\x94\x01\0\xe0\0\0\0\x6a\
\x02\0\0\x0c\x04\0\0\x0c\x94\x01\0\xe8\0\0\0\x6a\x02\0\0\x23\x04\0\0\x12\x98\
\x01\0\xf0\0\0\0\x6a\x02\0\0\x23\x04\0\0\x0c\x98\x01\0\xf8\0\0\0\x6a\x02\0\0\
\x3a\x04\0\0\x02\xa0\x01\0\x08\x01\0\0\x6a\x02\0\0\x45\x04\0\0\0\xb0\x01\0\x28\
\x01\0\0\x6a\x02\0\0\x64\x04\0\0\x2a\xc4\x01\0\x30\x01\0\0\x6a\x02\0\0\x59\x03\
\0\0\x0b\xdc\x01\0\x38\x01\0\0\x6a\x02\0\0\x64\x04\0\0\x10\xc4\x01\0\x50\x01\0\
\0\x6a\x02\0\0\x6e\x03\0\0\x12\xe0\x01\0\x58\x01\0\0\x6a\x02\0\0\x6e\x03\0\0\
\x0c\xe0\x01\0\x60\x01\0\0\x6a\x02\0\0\x92\x04\0\0\x11\xc8\x01\0\x78\x01\0\0\
\x6a\x02\0\0\xae\x04\0\0\x17\xd0\x01\0\x80\x01\0\0\x6a\x02\0\0\xae\x04\0\0\x11\
\xd0\x01\0\x98\x01\0\0\x6a\x02\0\0\xca\x04\0\0\x17\xd4\x01\0\xa0\x01\0\0\x6a\
\x02\0\0\xca\x04\0\0\x11\xd4\x01\0\xb8\x01\0\0\x6a\x02\0\0\xe6\x04\0\0\x17\xcc\
\x01\0\xc0\x01\0\0\x6a\x02\0\0\xe6\x04\0\0\x11\xcc\x01\0\xd8\x01\0\0\x6a\x02\0\
\0\xf5\x03\0\0\x0c\xe4\x01\0\xe0\x01\0\0\x6a\x02\0\0\x0c\x04\0\0\x12\xe8\x01\0\
\xe8\x01\0\0\x6a\x02\0\0\x0c\x04\0\0\x0c\xe8\x01\0\xf0\x01\0\0\x6a\x02\0\0\x23\
\x04\0\0\x12\xec\x01\0\xf8\x01\0\0\x6a\x02\0\0\x23\x04\0\0\x0c\xec\x01\0\0\x02\
\0\0\x6a\x02\0\0\x3a\x04\0\0\x02\xf4\x01\0\xab\x07\0\0\x26\0\0\0\0\0\0\0\x6a\
\x02\0\0\x02\x05\0\0\0\x04\x02\0\x08\0\0\0\x6a\x02\0\0\x1f\x05\0\0\x06\x18\x02\
\0\x50\0\0\0\x6a\x02\0\0\x29\x05\0\0\x02\x1c\x02\0\x68\0\0\0\x6a\x02\0\0\x67\
\x05\0\0\x0d\x20\x02\0\x78\0\0\0\x6a\x02\0\0\x67\x05\0\0\x0f\x20\x02\0\x80\0\0\
\0\x6a\x02\0\0\x67\x05\0\0\x0d\x20\x02\0\x88\0\0\0\x6a\x02\0\0\x1f\x05\0\0\x06\
\x28\x02\0\xb0\0\0\0\x6a\x02\0\0\x7a\x05\0\0\x02\x2c\x02\0\xc8\0\0\0\x6a\x02\0\
\0\xba\x05\0\0\x0e\x30\x02\0\xd8\0\0\0\x6a\x02\0\0\xba\x05\0\0\x10\x30\x02\0\
\xe0\0\0\0\x6a\x02\0\0\xba\x05\0\0\x0e\x30\x02\0\xe8\0\0\0\x6a\x02\0\0\x1f\x05\
\0\0\x06\x38\x02\0\x10\x01\0\0\x6a\x02\0\0\xce\x05\0\0\x02\x3c\x02\0\x28\x01\0\
\0\x6a\x02\0\0\x0e\x06\0\0\x0e\x40\x02\0\x38\x01\0\0\x6a\x02\0\0\x0e\x06\0\0\
\x10\x40\x02\0\x40\x01\0\0\x6a\x02\0\0\x0e\x06\0\0\x0e\x40\x02\0\x48\x01\0\0\
\x6a\x02\0\0\x1f\x05\0\0\x06\x48\x02\0\x70\x01\0\0\x6a\x02\0\0\x22\x06\0\0\x02\
\x4c\x02\0\x88\x01\0\0\x6a\x02\0\0\x62\x06\0\0\x0e\x50\x02\0\x98\x01\0\0\x6a\
\x02\0\0\x62\x06\0\0\x10\x50\x02\0\xa0\x01\0\0\x6a\x02\0\0\x62\x06\0\0\x0e\x50\
\x02\0\xa8\x01\0\0\x6a\x02\0\0\x1f\x05\0\0\x06\x58\x02\0\xc0\x01\0\0\x6a\x02\0\
\0\x76\x06\0\0\x02\x5c\x02\0\xe0\x01\0\0\x6a\x02\0\0\xb6\x06\0\0\x0e\x60\x02\0\
\xf0\x01\0\0\x6a\x02\0\0\xb6\x06\0\0\x10\x60\x02\0\xf8\x01\0\0\x6a\x02\0\0\xb6\
\x06\0\0\x0e\x60\x02\0\0\x02\0\0\x6a\x02\0\0\x3a\x04\0\0\x02\x68\x02\0\x10\x02\
\0\0\x6a\x02\0\0\xca\x06\0\0\0\x78\x02\0\x30\x02\0\0\x6a\x02\0\0\xe7\x06\0\0\
\x14\x8c\x02\0\x38\x02\0\0\x6a\x02\0\0\0\x07\0\0\x0b\x9c\x02\0\x40\x02\0\0\x6a\
\x02\0\0\xe7\x06\0\0\x0e\x8c\x02\0\x58\x02\0\0\x6a\x02\0\0\x16\x07\0\0\x11\xa0\
\x02\0\x60\x02\0\0\x6a\x02\0\0\x16\x07\0\0\x0b\xa0\x02\0\x68\x02\0\0\x6a\x02\0\
\0\x2c\x07\0\0\x0e\x90\x02\0\x80\x02\0\0\x6a\x02\0\0\x45\x07\0\0\x11\xa4\x02\0\
\x88\x02\0\0\x6a\x02\0\0\x5b\x07\0\0\x0e\x94\x02\0\xa0\x02\0\0\x6a\x02\0\0\x45\
\x07\0\0\x0b\xa4\x02\0\xa8\x02\0\0\x6a\x02\0\0\x3a\x04\0\0\x02\xac\x02\0\x10\0\
\0\0\x9b\x07\0\0\x18\0\0\0\x20\0\0\0\x05\0\0\0\x74\x07\0\0\0\0\0\0\x28\0\0\0\
\x05\0\0\0\x74\x07\0\0\0\0\0\0\x48\0\0\0\x05\0\0\0\x78\x07\0\0\0\0\0\0\x50\0\0\
\0\x05\0\0\0\x78\x07\0\0\0\0\0\0\x70\0\0\0\x05\0\0\0\x7c\x07\0\0\0\0\0\0\x90\0\
\0\0\x05\0\0\0\x80\x07\0\0\0\0\0\0\xb0\0\0\0\x05\0\0\0\x84\x07\0\0\0\0\0\0\xd0\
\0\0\0\x05\0\0\0\x7c\x07\0\0\0\0\0\0\xd8\0\0\0\x05\0\0\0\x80\x07\0\0\0\0\0\0\
\xe0\0\0\0\x05\0\0\0\x80\x07\0\0\0\0\0\0\xe8\0\0\0\x05\0\0\0\x84\x07\0\0\0\0\0\
\0\xf0\0\0\0\x05\0\0\0\x84\x07\0\0\0\0\0\0\x28\x01\0\0\x0b\0\0\0\x74\x07\0\0\0\
\0\0\0\x30\x01\0\0\x0b\0\0\0\x74\x07\0\0\0\0\0\0\x50\x01\0\0\x0b\0\0\0\x78\x07\
\0\0\0\0\0\0\x58\x01\0\0\x0b\0\0\0\x78\x07\0\0\0\0\0\0\x78\x01\0\0\x0b\0\0\0\
\x80\x07\0\0\0\0\0\0\x98\x01\0\0\x0b\0\0\0\x84\x07\0\0\0\0\0\0\xb8\x01\0\0\x0b\
\0\0\0\x7c\x07\0\0\0\0\0\0\xd8\x01\0\0\x0b\0\0\0\x7c\x07\0\0\0\0\0\0\xe0\x01\0\
\0\x0b\0\0\0\x80\x07\0\0\0\0\0\0\xe8\x01\0\0\x0b\0\0\0\x80\x07\0\0\0\0\0\0\xf0\
\x01\0\0\x0b\0\0\0\x84\x07\0\0\0\0\0\0\xf8\x01\0\0\x0b\0\0\0\x84\x07\0\0\0\0\0\
\0\xab\x07\0\0\x10\0\0\0\x10\0\0\0\x0b\0\0\0\x74\x07\0\0\0\0\0\0\x58\0\0\0\x0b\
\0\0\0\x74\x07\0\0\x01\0\0\0\x90\0\0\0\x0b\0\0\0\x78\x07\0\0\0\0\0\0\xb8\0\0\0\
\x0b\0\0\0\x78\x07\0\0\x01\0\0\0\xf0\0\0\0\x0b\0\0\0\x7c\x07\0\0\0\0\0\0\x18\
\x01\0\0\x0b\0\0\0\x7c\x07\0\0\x01\0\0\0\x50\x01\0\0\x0b\0\0\0\x80\x07\0\0\0\0\
\0\0\x78\x01\0\0\x0b\0\0\0\x80\x07\0\0\x01\0\0\0\xb0\x01\0\0\x0b\0\0\0\x84\x07\
\0\0\0\0\0\0\xc8\x01\0\0\x0b\0\0\0\x84\x07\0\0\x01\0\0\0\x30\x02\0\0\x0f\0\0\0\
\x7c\x07\0\0\0\0\0\0\x38\x02\0\0\x0f\0\0\0\x7c\x07\0\0\0\0\0\0\x58\x02\0\0\x0f\
\0\0\0\x80\x07\0\0\0\0\0\0\x60\x02\0\0\x0f\0\0\0\x80\x07\0\0\0\0\0\0\x80\x02\0\
\0\x0f\0\0\0\x84\x07\0\0\0\0\0\0\xa0\x02\0\0\x0f\0\0\0\x84\x07\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x16\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x70\x05\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\
\x07\0\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x32\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x0a\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x0a\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x08\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x0a\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdf\x01\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x0a\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf3\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x38\x0b\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x28\x0c\0\0\0\0\0\0\xd8\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0d\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x19\0\0\0\0\0\0\xbc\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

#endif /* __TEST_CORE_AUTOSIZE_SKEL_H__ */
